mdef_entry_s Struct Reference

## Data Fields

int32 | ssid
| Senone sequence ID.
int32 | tmat
| Transition matrix ID.
union { |
struct { |
uint8 filler |
uint8 reserved [3] |
} ci |
| < CI phone information - attributes (just "filler" for now) More...
struct { |
uint8 wpos |
uint8 ctx [3] |
| quintphones will require hacking More...
} cd |
} | info |

## Detailed Description

Definition at line 73 of file bin_mdef.h.

## Field Documentation

## [struct]

struct { ... } mdef_entry_s::ci

< CI phone information - attributes (just "filler" for now)

CD phone information - context info.

Referenced by bin_mdef_phone_id(), and bin_mdef_read_text().

## ctx

uint8 mdef_entry_s::ctx[3]

quintphones will require hacking

Definition at line 86 of file bin_mdef.h.

Referenced by bin_mdef_phone_str(), bin_mdef_read_text(), and bin_mdef_write_text().

## filler

uint8 mdef_entry_s::filler

Definition at line 80 of file bin_mdef.h.

## reserved

uint8 mdef_entry_s::reserved[3]

Definition at line 81 of file bin_mdef.h.

## ssid

int32 mdef_entry_s::ssid

Senone sequence ID.

Definition at line 74 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write_text().

## tmat

int32 mdef_entry_s::tmat

Transition matrix ID.

Definition at line 75 of file bin_mdef.h.

Referenced by bin_mdef_read(), bin_mdef_read_text(), and bin_mdef_write_text().

## wpos

uint8 mdef_entry_s::wpos

Definition at line 85 of file bin_mdef.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/bin_mdef.h